
TSconfig - Task # 47071

Status: Resolved Priority: Should have
Author: Chris topher Category:
Created: 2013-04-09 Assigned To: Christian Woebbeking
Updated: 2014-01-17 Due date:
Subject: Mark mod.SHARED.colPos_list as removed
Description

mod.SHARED.colPos_list is no longer working since TYPO3 6.0. Mark it as removed.

Instead, backend layouts are the replacement.

So tell people to replace their configuration of mod.SHARED.colPos_list with a BE layout. And also add to the section "What's new"
that mod.SHARED.colPos_list should be replaced by a backend layout - it is a breaking change. :-(

Example for a Backend Layout:

Create a record of type "Backend Layout" maybe best in the root page of your website. Add the following configuration. You can use
the wizard next to the configuration field as a help.

backend_layout {
    colCount = 2
    rowCount = 1
    rows {
        1 {
            columns {
                1 {
                    name = Content
                    colPos = 0
                }
                2 {
                    name = Left
                    colPos = 1
                }
            }
        }
    }
}

Then go to the root page of your website, page properties > Appearance and select the new Backend Layout for this page and for the
subpages. This way the new Backend Layout will be preselected for all subpages (also for new ones).

This will display the content of the columns with colPos=0 and colPos=1. They will be labeled "Content" and "Left".

Related issues:
related to Core - Bug # 39967: mod.SHARED.colPos_list is not taken into accou... Resolved 2012-08-19
Revision 7e60f4fb - 2013-04-28 11:08 - Christian Woebbeking

[TASK] Mark mod.SHARED.colPos_list as removed

Mark mod.SHARED.colPos_list as removed and refer to backend layouts. Add
an example for backend layouts. Point this out in section "What's new".

Resolves: #47071

Change-Id: Ife0a75bc5ee5e75b47f35149dedc6179b849e7d9
Reviewed-on: https://review.typo3.org/20247
Reviewed-by: Christian Woebbeking
Tested-by: Christian Woebbeking

Revision f199a7bb - 2013-04-28 15:46 - Christian Woebbeking

[TASK] Mark mod.SHARED.colPos_list as removed

Mark mod.SHARED.colPos_list as removed and refer to backend layouts. Add
an example for backend layouts. Point this out in section "What's new".

Resolves: #47071

Change-Id: Ife0a75bc5ee5e75b47f35149dedc6179b849e7d9
Reviewed-on: https://review.typo3.org/20247
Reviewed-by: Christian Woebbeking
Tested-by: Christian Woebbeking
Reviewed-on: https://review.typo3.org/20258
Reviewed-by: Christopher
Tested-by: Christopher

History
#1 - 2013-04-15 22:54 - Chris topher
- Subject changed from Update documentation of mod.SHARED.colPos_list to Mark mod.SHARED.colPos_list as removed

#2 - 2013-04-27 18:44 - Christian Woebbeking
- Status changed from New to Accepted
- Assigned To set to Christian Woebbeking
- Estimated time set to 1.00
- Remaining (hours) set to 1.0

#3 - 2013-04-28 11:01 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20247

#4 - 2013-04-28 11:06 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20247

#5 - 2013-04-28 11:09 - Christian Woebbeking
- Status changed from Under Review to Resolved
- % Done changed from 0 to 90

#6 - 2013-04-28 15:00 - Chris topher

I'll backport the relevant parts of this change to branch 6-0.

#7 - 2013-04-28 15:24 - Chris topher

And I just noticed that I messed up the example; with the example code the left column in fact appears on the right-hand side. I will fix this in 6.0 now
and in master with #47662 before the relase of 6.1.

#8 - 2013-04-28 15:36 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 4 for branch 6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20258

#9 - 2013-04-28 15:44 - Gerrit Code Review

Patch set 5 for branch 6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20258

#10 - 2013-04-28 16:36 - Christian Woebbeking
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:f199a7bb813e02be1915f1978d8308af165dbf27.

#11 - 2014-01-17 15:38 - Jo Hasenau

Will be reintroduced/fixed. See #39967
